url: dump.html
title: Semester Update!!
date: 2023-03-21
author: Rahul Jha
tags: math, physics, joe, rant
summary: I know I missed the post-midsem update, I was busy having too much fun.

### Abstract
Heidi Klum's right leg is worth a tad more than her left leg. I know this because I spend more time than I am comfortable admitting watching HAIs excellent videos. This post, however, is not about HAI. 
It should be obvious that I have overcome my writer's block. After two avant garde pieces during the winter break my creative faculties just gave up. I want to blame this on people I hung out with in the fourth semester, but we know it is just a cope. I did not write because I was too busy <strike>having fun and talking to them specimens of the female species</strike> ensuring I do not fail Abstract Algebra. I was also too busy begging universities for work during the summer, but my OTP-esque rank (I once logged into Swiggy using my AIR as OTP) all but ensured a lot of "thanks but fuck off"s. Now that I have been snubbed by no less than two females and three research programmes, my creativity has - in bits and pieces- returned. This post, however is not a rant about the arduous application process and/or the many statements of purpose I had to write. It is difficult to write an SOP when your purpose in life is sleeping.

### Scrawnlympics
As my astute and usually sane readers would know, I took part in the InterIIT tech meet, which is like the cultural meet but with fewer girls and more scrawny nerds. Seriously, the <em>networking</em> dinner was such a disappointment and I am not just talking about the food. Sometimes, I wish I had not given up on learning basically anything. Cult meet snaps have affected parts of me that I didn't know existed. Anyway, we somehow managed a medal and I am now the proud owner of 26 email addresses and zero people to email (I have emailed atleast one girl and she responded - bolstering my cold mailing stats) so I did something reasonably fun with them (bookmark this in case you end up with 500 email addresses). I created a folder on one account, and shared it with every other account, giving them write access. Then I sharded all my NLP models across 26 accounts and uploaded them to the shared folder. I now have a folder with 200 GBs of Pytorch models - and it is accessible from all my accounts. To be fair I don't need them anymore but storing useless models at Google's expense is strangely satisfying. I would still recommend Y22s to take part in the Cult meet because snaps.

### The Fire Within
IIT Kanpur, like every other IIT worthy of the tag, claims that its cultural festival is the largest such festival in Asia. I do not doubt the claim, because I am a proud IITK denizen and all my wingies were involved in organizing the fest and I love my life. Tall claims and unusually stringent security (they confiscated my bluetooth case) aside, the fest was fun. I spoke to a couple of DU girls and wanted to go back to high school again. I recieved what would usually be considered contraband on snapchat, and I had a tonne of fun with friends. Drunk friends are nice. I was supposed to get shitfaced but the goodboi instinct kicked in. I hope to overcome it once some company decides to pay me. 

### Nostalgia
In two weeks, I will complete a year in the IIT the good folks at JoSAA sent me to. It has been a roller coaster of an year. I came in as a frightened, overconfident Economics guy and I am now a frightened, overconfident Mathematics guy. I am grateful to my friends, who basically did all the work to keep our friendship intact. Life wouldn't be the same without them. I would apologise for annoying them, but I am just going to wait for two more years. 

### Rant
I have always had a reasonably high opinion of myself, and this has come to bite me in my nether regions on multiple occassions. Recently, I was interviewing to be a coordinator of the Programming Club and I did not think twice before peppering my presentation with XKCD memes. Needless to say, I was scolded for being unprofessional. In other news, I am now the proud recipient of a certain girls snaps. This is basically the highlight of my year.

